plot.bn.strength {bnlearn} | R Documentation

## Plot arc strengths derived from bootstrap

### Description

Plot arc strengths derived from bootstrap resampling.

### Usage

    ## S3 method for class 'bn.strength'
    plot(x, draw.threshold = TRUE, main = NULL,
      xlab = "arc strengths", ylab = "CDF(arc strengths)", ...)

### Arguments

`x` | an object of class `bn.strength`.
`draw.threshold` | a boolean value. If `TRUE`, a dashed vertical line is drawn at the threshold.
`main,xlab,ylab` | character strings, the main title and the axes labels.
`...` | other graphical parameters to be passed through to plotting functions.

### Note

The `xlim` and `ylim` arguments are always overridden.

### Author(s)

Marco Scutari

### Examples

    data(learning.test)

    start = random.graph(nodes = names(learning.test), num = 50)
    netlist = lapply(start, function(net) {
      hc(learning.test, score = "bde", iss = 10, start = net) })
    arcs = custom.strength(netlist, nodes = names(learning.test), cpdag = FALSE)
    plot(arcs)

[Package bnlearn version 4.7.1 Index]